﻿@model SportsClub.Models.CampaignViewModelStep3

@{
    Layout = null;
}

<form name="EmailEmailCampaignStep3" novalidate ng-submit="saveStep3()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" ui-sref='EmailCampaignAddStep2({campaignId : MC.stateParams.campaignId , campaignType : MC.stateParams.campaignType})'>
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Scheduling
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <nav class="step-navigator campaign breadcrumbs">
            <ul>
                @*  CLASSES = done , active , last *@
                <li class="done"><a>Recipients</a></li>
                <li class="done"><a>Content</a></li>
                <li class="active last"><a>Scheduling</a></li>
                <li class="last"><a>Preview</a></li>
                <!-- DO NOT DELETE THIS -->
                @*<li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>*@
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>

        <label>You can choose to send the campaign now or schedule for future delivery within 72 hour.</label>
        <div  class="input-control select" data-role="input-control">
            <select ng-init="@Html.Ang(m=>m.ScheduleType) = 'Sent'" ng-model="@Html.Ang(m=>m.ScheduleType)">
                <option value="Sent">Schedule now</option>
                <option value="Scheduled">Schedule later</option>
            </select>
        </div>
        <div class="one-half place-left" ng-class="{disabledbox : @Html.Ang(m=>m.ScheduleType) != 'Scheduled'}">
            <label>Schedule date</label>
            <div class="input-control date-time" @Html.AngValidationClassFor(model => model.SendDate)>
                @*<input type="text" ng-model="@Html.Ang(m => m.SendDate)"  @Html.AngTooltipValidationFor(model => model.SendDate)/>*@
                <div @Html.AngTooltipValidationFor(model => model.SendDate)>
                    <input kendo-date-picker k-options="MC.datePickerOptions" placeholder="Send Date" ng-model="@Html.Ang(model => model.SendDate)" />
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        <div class="one-half place-left" ng-class="{disabledbox : @Html.Ang(m=>m.ScheduleType) != 'Scheduled'}">
            <label>Schedule time</label>
            <div class="input-control date-time" @Html.AngValidationClassFor(model => model.SendTime)>
                <div @Html.AngTooltipValidationFor(model => model.SendTime)>
                    <input kendo-time-picker  ng-model="@Html.Ang(m=>m.SendTime)" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />

        <button type="button" class="place-left button link large" ui-sref='EmailCampaignAddStep2({campaignId : MC.stateParams.campaignId , campaignType : MC.stateParams.campaignType})'>Back</button>
        <button type="submit" class="success large place-right button" ng-click='send()' ng-init="@Html.Ang(m=>m.ScheduleType)='Send'">
            <span @*ng-show="@Html.Ang(m=>m.ScheduleType) == 'Sent'"*@>Save & continue</span>
            @*<span ng-show="@Html.Ang(m=>m.ScheduleType) == 'Scheduled'">Schedule for later</span>*@
        </button>
        <div class="clearfix"></div>
    </div>
</form>